summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authormustiikhalil <mustii@mmk.one>2021-02-23 08:51:39 +0300
committerGitHub <noreply@github.com>2021-02-23 08:51:39 +0300
commitffc2ef77caeb6b04e89db952c65216982db44698 (patch)
tree7b9b5772cab1ee003c73ca2c0a23f8c78c8be5cf /scripts
parent1da6f4f18bdc7f47cd84f58a427835f2b790cb29 (diff)
downloadflatbuffers-ffc2ef77caeb6b04e89db952c65216982db44698.tar.gz
flatbuffers-ffc2ef77caeb6b04e89db952c65216982db44698.tar.bz2
flatbuffers-ffc2ef77caeb6b04e89db952c65216982db44698.zip
[CI] Adds Code Generation tests on Github Actions (#6482)
Moves check-grpc-generation to scripts
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/check-generate-code.sh36
-rw-r--r--scripts/check-grpc-generated-code.sh32
2 files changed, 68 insertions, 0 deletions
diff --git a/scripts/check-generate-code.sh b/scripts/check-generate-code.sh
new file mode 100755
index 00000000..1f2d84d4
--- /dev/null
+++ b/scripts/check-generate-code.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+#
+# Copyright 2018 Google Inc. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+set -e
+
+cd tests
+./generate_code.sh
+cd ..
+
+# TODO: Linux and macos builds produce differences here for some reason.
+git checkout HEAD -- tests/monster_test.bfbs
+git checkout HEAD -- tests/arrays_test.bfbs
+git checkout HEAD -- samples/monster.bfbs
+
+if ! git diff --quiet; then
+ echo >&2
+ echo "ERROR: ********************************************************" >&2
+ echo "ERROR: The following differences were found after running the" >&2
+ echo "ERROR: tests/generate_code.sh script. Maybe you forgot to run" >&2
+ echo "ERROR: it after making changes in a generator or schema?" >&2
+ echo "ERROR: ********************************************************" >&2
+ echo >&2
+ git diff --binary --exit-code
+fi
diff --git a/scripts/check-grpc-generated-code.sh b/scripts/check-grpc-generated-code.sh
new file mode 100644
index 00000000..4541be16
--- /dev/null
+++ b/scripts/check-grpc-generated-code.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+#
+# Copyright 2021 Google Inc. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+set -e
+
+echo "Checks generated grpc code"
+cd grpc/examples
+sh generate.sh
+cd ..
+
+if ! git diff --quiet; then
+ echo >&2
+ echo "ERROR: ********************************************************" >&2
+ echo "ERROR: The following differences were found after running the" >&2
+ echo "ERROR: grpc/example/generate.sh script. Maybe you forgot to run" >&2
+ echo "ERROR: it after making changes in a generator or schema?" >&2
+ echo "ERROR: ********************************************************" >&2
+ echo >&2
+ git diff --binary --exit-code
+fi